$ErrorActionPreference = 'Stop';

$packageName= 'invantive-data-hub'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.32.101.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.32.101.msi'
  softwareName = 'Invantive Data Hub'
  checksum = 'AFA18A809E02BBB219B94A7DCF8EF4CD142CEA759F429EA3E28A943981D6EDBD'
  checksumType = 'sha256'
  checksum64 = 'AFA18A809E02BBB219B94A7DCF8EF4CD142CEA759F429EA3E28A943981D6EDBD'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-data-hub-17.32.101-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
